Default Rate Limits
The Basis Theory API has rate limits applied to ensure the speed and consistency of our systems. Rate Limits will always apply to the lowest Rate available for a given request. For example, if a request is made to POST /tokens with on a Test Tenant the rate limit for that request is 50 Requests / 10 Seconds.
Tenant Type Rate Limits
Test Tenant
| Method | Resource | Counter | Rate | Action |
|---|
| ANY | ANY | IP and API Key | 50 req / 10 s | Throttle |
API Resource Rate Limits
| Resource | Counter | Rate | Action |
|---|
| POST /tokens/search | API Key AND IP | 50 req / 10 s | Throttle |
| GET /tokens OR POST /detokenize | API Key AND IP | 100 req / 10 s | Throttle |
| POST /tokens OR /tokenize | API Key AND IP | 200 req / 10 s | Throttle |
| PATCH /tokens/{id} | API Key AND IP | 200 req / 10 s | Throttle |
| DELETE /tokens/{id} | API Key AND IP | 200 req / 10 s | Throttle |
| ANY /account-updater/* | API Key AND IP | 10 req / 10 s | Throttle |
| POST /documents | API Key AND IP | 10 req / 1 min | Throttle |
| GET /documents/{id}/data | API Key AND IP | 10 req / 1 min | Throttle |
Application Type Rate Limits
Private Application
| Resource | Counter | Rate | Action |
|---|
| ANY | API Key OR IP | 2000 req / 10 s | Throttle |
Public Application
| Resource | Counter | Rate | Action |
|---|
| ANY | IP and API Key | 50 req / 1 min | 10s Block |
Management Application